# Uses of Interface
java.lang.classfile.attribute.LocalVariableTypeTableAttribute

Packages that use LocalVariableTypeTableAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of LocalVariableTypeTableAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type LocalVariableTypeTableAttribute
Modifier and Type
Method
Description
`static AttributeMapper<LocalVariableTypeTableAttribute>`
Attributes.`localVariableTypeTable()`
Returns the mapper for the `LocalVariableTypeTable` attribute.

## Uses of LocalVariableTypeTableAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type LocalVariableTypeTableAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`LocalVariableTypeTableAttribute`
Models the `LocalVariableTypeTable` attribute (JVMS 4.7.14), which records debug information about local variables with generic types.
Methods in java.lang.classfile.attribute that return LocalVariableTypeTableAttribute
Modifier and Type
Method
Description
`static LocalVariableTypeTableAttribute`
LocalVariableTypeTableAttribute.`of(List<LocalVariableTypeInfo> locals)`
Returns a `LocalVariableTypeTable` attribute.